//
//  ViewController.swift
//  theValueGlance
//
//  Created by yoshiyuki oshige on 2015/05/03.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    var timerObj:NSTimer?
    var degree = 0.0
    
    @IBOutlet weak var myLabel: UILabel!
    
    // 現在値を作って返す
    func getTheValue() -> Double {
        var value  = 15 + 10*cos(degree * M_PI / 180.0)
        value = round(value * 10)/10
        degree = (degree + 4) % 360
        return value
    }
    
    //　ラベルの値を更新する
    func setLabelValue() {
        myLabel.text = getTheValue().description
    }
    
     // setLabelValue()を定期的に実行するタイマー
    func startTimer() {
        timerObj = NSTimer.scheduledTimerWithTimeInterval(0.5, target: self, selector: Selector("setLabelValue"), userInfo: nil, repeats: true)
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // タイマーのスタート
        startTimer()
    }
    
    override func viewWillDisappear(animated: Bool) {
        // タイマーを止める
        timerObj?.invalidate()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

