//
//  GlanceController.swift
//  glanceToScene WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/12.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class GlanceController: WKInterfaceController {
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
       // グランスをタップした際に発行するアクティビティを登録する
       updateUserActivity("com.oshige", userInfo: ["identifier":"detail"], webpageURL: nil)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
