//
//  InterfaceController.swift
//  glanceToScene WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/12.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    
    // GlanceControllerのupdateUserActivity()から呼ばれる
    override func handleUserActivity(userInfo: [NSObject : AnyObject]!){
        if let identifier = userInfo["identifier"] as? String {
        // シーンをmodalで開く
         presentControllerWithName(identifier, context: nil)
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
